Skip to main content
`Ctrl`+`K`

# PetscSpaceView

Views a `PetscSpace`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceView(PetscSpace sp, PetscViewer v)

Collective

## Input Parameters

- sp - the `PetscSpace` object to view

- v - the viewer

## See Also

`PetscSpace`, `PetscViewer`, `PetscSpaceViewFromOptions()`, `PetscSpaceDestroy()`

## Level

beginner

## Location

src/dm/dt/space/interface/space.c

## Implementations

PetscSpaceView_Point() in src/dm/dt/space/impls/point/spacepoint.c
PetscSpaceView_Polynomial() in src/dm/dt/space/impls/poly/spacepoly.c
PetscSpaceView_Ptrimmed() in src/dm/dt/space/impls/ptrimmed/spaceptrimmed.c
PetscSpaceView_Subspace() in src/dm/dt/space/impls/subspace/spacesubspace.c
PetscSpaceView_Sum() in src/dm/dt/space/impls/sum/spacesum.c
PetscSpaceView_Tensor() in src/dm/dt/space/impls/tensor/spacetensor.c
PetscSpaceView_WXY() in src/dm/dt/space/impls/wxy/spacewxy.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages